## org.firebirdsql.gds
Class GDSExceptionHelper

    java.lang.Object
      org.firebirdsql.gds.GDSExceptionHelper

    public class GDSExceptionHelper

extends Object

This class is supposed to return messages for the specified error code. It loads all messages during the class initialization and keeps messages in the static `java.util.Properties` variable.

Version:
  1.0
Author:
  David Jencks, Roman Rokytskyy, Blas Rodriguez Somoza

Nested Class Summary
`static class` `GDSExceptionHelper.GDSMessage` This class wraps message template obtained from isc_error_msg.properties file and allows to set parameters to the message.

Constructor Summary
`GDSExceptionHelper()`

Method Summary
`static GDSExceptionHelper.GDSMessage` `getMessage(int code)` This method returns a message for the specified error code.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GDSExceptionHelper

    public GDSExceptionHelper()

Method Detail

### getMessage

    public static GDSExceptionHelper.GDSMessage getMessage(int code)

  This method returns a message for the specified error code.

  Parameters:
    `code` - Firebird error code
  Returns:
    instance of `GDSExceptionHelper.GDSMesssage` class where you can set desired parameters.

Copyright © 2001-2010. All Rights Reserved.